Bug 1410513 (CVE-2016-10071) - CVE-2016-10071 ImageMagick: Out-of-bounds read in mat.c
Summary: CVE-2016-10071 ImageMagick: Out-of-bounds read in mat.c
Status: CLOSED WONTFIX
Alias: CVE-2016-10071
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160214,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 16:04 UTC by Andrej Nemec
Modified: 2019-06-08 21:42 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:30:02 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 16:04:53 UTC
An out-of-bounds read vulnerability was found in ImageMagick in mat.c file. A maliciously crafted file could cause the application to crash.

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/131

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845246

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/f3b483e8b054c50149912523b4773687e18afe25

Comment 1 Andrej Nemec 2017-01-05 16:19:04 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.